brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Kennedy <andrew.kenn...@cloudsoftcorp.com>
Subject Re: Error on Wide Area Cassandra Cluster on Softlayer example
Date Sat, 28 Jun 2014 15:23:33 GMT
Hi.

I'm not sure how you're deploying this (YAML blueprint, or via the Catalog
view in the Brooklyn console?) but if you add a 'version: 1.2.12'
configuration entry to the YAML spec or add it in the Catalog configuration
dialog, that should change the Cassandra version back to the last that
contained the method in question. How did you start the cluster? I'm going
to give it a try myself, as well, and report back on the best way to do
this.

The problem is that I'm not a Cassandra expert, so I'm not sure what the
effect of the API changes after Cassandra 1.2.13 are.We are using 1.2.16 in
the CassandraNode entity explicitly, but I don't know how to re-write the
snitch code to be compatible with this version, which is what will be
required to fix this. I have copied in @aledsage, who may be able to help.

I see from comments in our Cassandra entities that a switch to the 2.x API
has been proposed as well, but I don't think this has been progressed very
far yet.

Andrew.

-- 
-- andrew kennedy ? engineer : http://cloudsoftcorp.com/developers/ ;


On 28 June 2014 15:29, Jesus arteche <chechu.linux@gmail.com> wrote:

> well...does it mean that if I use the previous Brooklyn version 6...will it
> work?
>
>
> On Sat, Jun 28, 2014 at 3:25 PM, Jesus arteche <chechu.linux@gmail.com>
> wrote:
>
> > dont have a clue about how to do it...if you guide me ...I can do it
> >
> >
> > On Sat, Jun 28, 2014 at 2:47 PM, Andrew Kennedy <
> > andrew.kennedy@cloudsoftcorp.com> wrote:
> >
> >> On 28 June 2014 14:24, Jesus arteche <chechu.linux@gmail.com> wrote:
> >>
> >> > Caused by: java.lang.NoSuchMethodError:
> >> > org.apache.cassandra.locator.TokenMetadata.invalidateCaches()V
> >> >
> >>
> >> Well, it looks like this is the culprit. It seems that the
> >> `invalidateCaches()` method was suddenly removed in version 1.2.13
> without
> >> ever being deprecated, cassandra-all-1.2.12 is the last version that
> >> contains it:
> >>
> >> -
> >>
> >>
> http://grepcode.com/file/repo1.maven.org/maven2/org.apache.cassandra/cassandra-all/1.2.12/org/apache/cassandra/locator/TokenMetadata.java#TokenMetadata.invalidateCaches%28%29
> >>
> >> So, we'll need to take a look at our Cassandra dependencies and fix
> this.
> >> Have you created an issue in JIRA about this yet?
> >>
> >> Andrew.
> >> --
> >> -- andrew kennedy ? engineer : http://cloudsoftcorp.com/developers/ ;
> >>
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message